Revision history [back]

ERROR : Error appeared during Puppet run: 10.210.217.42_keystone.pp Error: /Stage[main]/Keystone::Roles::Admin/Keystone_role[_member_]: Could not evaluate: Execution of '/usr/bin/keystone --endpoint http://127.0.0.1:35357/v2.0/ role-list' returned 2: usage: keystone [--version] [--timeout <seconds>]

AND This error in log file:

Execution of '/usr/bin/key stone --endpoint http://127.0.0.1:35357/v2.0/ service-list' returned 2: usage: keystone [--version] [--timeout <seconds>]

is caused by that you have not appropriate version of keystone. This steps should be solve your problem:

Check your version of keystone - /usr/bin/keystone --version If version of keystone is 0.7.1 downgrade to the 0.4.1 version - yum downgrade python-keystoneclient.noarch Make sure that now version of keystone is 0.4.1 - /usr/bin/keystone --version

ERROR : Error appeared during Puppet run: 10.210.217.42_keystone.pp Error: /Stage[main]/Keystone::Roles::Admin/Keystone_role[_member_]: Could not evaluate: Execution of '/usr/bin/keystone --endpoint http://127.0.0.1:35357/v2.0/ role-list' returned 2: usage: keystone [--version] [--timeout <seconds>]

AND This error in log file:

Execution of '/usr/bin/key stone --endpoint http://127.0.0.1:35357/v2.0/ service-list' returned 2: usage: keystone [--version] [--timeout <seconds>]

is are caused by that you have not appropriate version of keystone. This steps should be solve your problem:

Check your version of keystone - /usr/bin/keystone --version If version of keystone is 0.7.1 downgrade to the 0.4.1 version - yum downgrade python-keystoneclient.noarch Make sure that now version of keystone is 0.4.1 - /usr/bin/keystone --version